import 'package:blusalt_identity/model/request.dart';
import 'package:blusalt_identity/network/blusalt_sdk.dart';
import 'package:blusalt_identity/network/network_client.dart';
import 'package:blusalt_identity/verification_manager.dart' as manager;

/// Initializing the SDK with API credentials obtained from account
/// [dashboard](blusalt.io). Replace the empty strings with the appropriate value
void initializeSDK() {
  ApiCredentials credentials =
      ApiCredentials(apiKey: "", clientID: "", appName: "");
  var future = BlusaltSDK.initializeSDK(credentials);
  future.then((onValue) {
    print(onValue);
  }).catchError((onError) {
    // print(onError);
  });
}

/// Verify Customer BVN. Provide actual customer BVN and phone number
/// Get the Customer BVN data
void verifyBVN() {
  BVNRequest bvnRequest = BVNRequest(bvnNumber: "", phoneNumber: "");
  var response = manager.verifyBVN(bvnRequest);
  response.then((onValue) {}).catchError((onError) {});
}

/// Verify Customer PVC. Provide actual customer PVC, phone number and state
/// Get the Customer PVC data
void verifyPVC() {
  PVCRequest pvcRequest =
      PVCRequest(lastName: "", pvcNumber: "", phoneNumber: "", state: "");
  var response = manager.verifyPVC(pvcRequest);
  response.then((onValue) {}).catchError((onError) {});
}

/// Verify Customer Natianal Identity number. Provide actual customer NIN and phone number
/// Get the Customer NIN data
void verifyNIN() {
  NINRequest ninRequest = NINRequest(ninNumber: "", phoneNumber: "");
  var response = manager.verifyNIN(ninRequest);
  response.then((onValue) {}).catchError((onError) {});
}

/// Verify Customer International passport. Provide actual customer Passport number and phone number
/// Get the Customer International passport data
void verifyNIP() {
  var nipRequest = NIPRequest(passportNumber: "", phoneNumber: "");
  var response = manager.verifyNIP(nipRequest);
  response.then((onValue) {}).catchError((onError) {});
}

/// Verify Customer Driver's Licence. Provide actual customer licence and phone number
/// Get the Customer Driver's Licence  data
void verifyDriversLicence() {
  var dlRequest = DLRequest(dlNumber: "", phoneNumber: "");
  var response = manager.verifyDriversLicence(dlRequest);
  response.then((onValue) {}).catchError((onError) {});
}
