import 'dart:convert';
import 'package:flutter/services.dart';

class BuildConfig{
  final String baseUrl;

  BuildConfig({this.baseUrl});

  static Future<BuildConfig> forEnvironment(String env) async {
    env = env ?? 'dev';
    final contents = await rootBundle.loadString(
      'assets/config/$env.json',
    );
    final json = jsonDecode(contents);

    // convert our JSON into an instance of our AppConfig class
    return BuildConfig(baseUrl: json['baseUrl']);
  }

}