enum ServiceType {
  bvnVerification,
  pvcVerification,
  ninVerification,
  nipVerification,
  dlVerification,
  addressVerification,
  facialComparison,
  pivValidation
}

extension IdentityService on ServiceType {
  static const _names = {
    ServiceType.nipVerification: "(NIP) Nigerian International Passport",
    ServiceType.ninVerification: "(NIN) National Identity Number",
    ServiceType.bvnVerification: "(BVN) Bank Verification Number",
    ServiceType.pvcVerification: "(PVC) Permanent Voters Card",
    ServiceType.dlVerification: "(NIP) Nigerian International Passport",
    ServiceType.addressVerification: "Address Verification",
    ServiceType.facialComparison: "Facial Comparison",
    ServiceType.pivValidation: "(PIV) Physical Identity Validation",
  };

  String name() => _names[this];

  static ServiceType getServiceFromLabel(String label) {
    switch (label) {
      case "(BVN) Bank Verification Number":
        return ServiceType.bvnVerification;
      case "(NIN) National Identity Number":
        return ServiceType.ninVerification;
      case "(PVC) Permanent Voters Card":
        return ServiceType.pvcVerification;
      case "(DL) Drivers Licence":
        return ServiceType.dlVerification;
      case "(NIP) Nigerian International Passport":
        return ServiceType.nipVerification;
      case "Facial Comparison":
        return ServiceType.facialComparison;
      case "Address Verification":
        return ServiceType.addressVerification;
      case "(PIV) Physical Identity Validation":
        return ServiceType.pivValidation;
      default:
        return null;
    }
  }
}
